# Uses of Class
de.geolykt.starloader.mod.NamedExtensionPrototype

Packages that use NamedExtensionPrototype
Package
Description
de.geolykt.starloader.mod
Package for all Extension-related stuff.

## Uses of NamedExtensionPrototype in de.geolykt.starloader.mod

Methods in de.geolykt.starloader.mod that return NamedExtensionPrototype
Modifier and Type
Method
Description
`@NotNull NamedExtensionPrototype`
DirectoryExtensionPrototypeList.`remove(int index)`
Methods in de.geolykt.starloader.mod that return types with arguments of type NamedExtensionPrototype
Modifier and Type
Method
Description
`List<NamedExtensionPrototype>`
DirectoryExtensionPrototypeList.`getPrototypes(String s)`
Methods in de.geolykt.starloader.mod with parameters of type NamedExtensionPrototype
Modifier and Type
Method
Description
`void`
DirectoryExtensionPrototypeList.`add(int index, @NotNull NamedExtensionPrototype element)`
`boolean`
DirectoryExtensionPrototypeList.`add(@NotNull NamedExtensionPrototype e)`
Method parameters in de.geolykt.starloader.mod with type arguments of type NamedExtensionPrototype
Modifier and Type
Method
Description
`boolean`
DirectoryExtensionPrototypeList.`addAll(int index, Collection<@NotNull ? extends NamedExtensionPrototype> c)`
`boolean`
DirectoryExtensionPrototypeList.`addAll(Collection<@NotNull ? extends NamedExtensionPrototype> c)`
`boolean`
DirectoryExtensionPrototypeList.`removeIf(Predicate<? super NamedExtensionPrototype> filter)`
`void`
DirectoryExtensionPrototypeList.`replaceAll(UnaryOperator<@NotNull NamedExtensionPrototype> operator)`